Package org.apache.nutch.parse.html

# Class XMLCharacterRecognizer

java.lang.Object
org.apache.nutch.parse.html.XMLCharacterRecognizer

public class XMLCharacterRecognizer extends Object
Class used to verify whether the specified ch conforms to the XML 1.0 definition of whitespace.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `XMLCharacterRecognizer()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static boolean`
  `isWhiteSpace(char ch)`
  Returns whether the specified ch conforms to the XML 1.0 definition of whitespace.
  `static boolean`
  `isWhiteSpace(char[] ch, int start, int length)`
  Tell if the string is whitespace.
  `static boolean`
  `isWhiteSpace(String s)`
  Tell if the string is whitespace.
  `static boolean`
  `isWhiteSpace(StringBuffer buf)`
  Tell if the string is whitespace.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### XMLCharacterRecognizer

    public XMLCharacterRecognizer()

- ## Method Details

  - ### isWhiteSpace

    public static boolean isWhiteSpace(char ch)
    Returns whether the specified ch conforms to the XML 1.0 definition of whitespace. Refer to the definition of `S` for details.
    Parameters:
      `ch` - Character to check as XML whitespace.
    Returns:
      =true if ch is XML whitespace; otherwise =false.

  - ### isWhiteSpace

    public static boolean isWhiteSpace(char[] ch, int start, int length)
    Tell if the string is whitespace.
    Parameters:
      `ch` - Character array to check as XML whitespace.
      `start` - Start index of characters in the array
      `length` - Number of characters in the array
    Returns:
      True if the characters in the array are XML whitespace; otherwise, false.

  - ### isWhiteSpace

    public static boolean isWhiteSpace(StringBuffer buf)
    Tell if the string is whitespace.
    Parameters:
      `buf` - StringBuffer to check as XML whitespace.
    Returns:
      True if characters in buffer are XML whitespace, false otherwise

  - ### isWhiteSpace

    public static boolean isWhiteSpace(String s)
    Tell if the string is whitespace.
    Parameters:
      `s` - String to check as XML whitespace.
    Returns:
      True if characters in buffer are XML whitespace, false otherwise